#ifndef MESSAGES_H
#define MESSAGES_H
#include <QByteArray>
static QByteArray getImage(std::begin<char>({'r', 'i', 'o'}), 3);
static QByteArray startImages(std::begin<char>({'r', 'i', 'b'}), 3);
static QByteArray stopImages(std::begin<char>({'r', 'i', 's'}), 3);

static QByteArray readReg(std::begin<char>({'r', 'r', 'r', 0x00}), 4);
static QByteArray writeReg(std::begin<char>({'r', 'r', 'w', 0x00, 0x00, 0x00}), 6);

static QByteArray setROI(std::begin<char>({'r', 's', 13, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}), 11);
static QByteArray setAEC(std::begin<char>({'r', 's', 14, 0x00}), 4);
static QByteArray setAGC(std::begin<char>({'r', 's', 15, 0x00}), 4);
static QByteArray setHDR(std::begin<char>({'r', 's', 16, 0x00}), 4);
static QByteArray setBright(std::begin<char>({'r', 's', 17, 0x00}), 4);
static QByteArray setGain(std::begin<char>({'r', 's', 18, 0x00}), 4);
static QByteArray setExposure(std::begin<char>({'r', 's', 19, 0x00, 0x00, 0x00, 0x00}), 7);
static QByteArray setBin(std::begin<char>({'r', 's', 20, 0x00, 0x00}), 5);
static QByteArray setSkip(std::begin<char>({'r', 's', 21, 0x00, 0x00}), 5);
static QByteArray setFlip(std::begin<char>({'r', 's', 22, 0x00, 0x00}), 5);
static QByteArray setTest(std::begin<char>({'r', 's', 23, 0x00, }), 4);

static QByteArray setDefault(std::begin<char>({'r', 'd' }),2);

static QByteArray speedMeasurement(std::begin<char>({'s'}),1);

#endif // MESSAGES_H
